Subject: Re: bug#32599: 25.2; Feature request: input PUA characters by name

From: [email-masked] (Janusz S. Bień)
Date: Tue, 28 May 2019 07:18:13 +0200

On Mon, May 27 2019 at 21:45 +03, Eli Zaretskii wrote:
>> From: [email-masked] (Janusz S. Bień)
>> Cc: [email-masked]
>> Date: Mon, 27 May 2019 19:39:50 +0200
>> 
>> > Asking Emacs to maintain compatibility to various ad-hoc registries
>> > outside of Unicode is not really reasonable.
>> 
>> Yes, but it is not what I propose. I just would the user to be able to
>> use his own definition of PUA provided in the form of an additional
>> UnicodeData.txt (not necessarily as a part of Unicode, it can be perhaps
>> a different coding system).
>
> We don't have infrastructure for reliably doing such customizations on
> user level.  Even importing a new version of the Unicode Standard
> currently requires some manual adaptations, although most of the job
> is done by just rebuilding Emacs after downloading a few UCD files.

I'm intrigued by the need of manual adaptation.

However my main point today is different:

Why our posts are not available neither at

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=32599

not at

https://groups.google.com/forum/#!msg/gnu.emacs.bug/SK-RO_OG_GQ/BmUzA-23AgAJ

?

This dosn't allow other users to express their opinion on the matter.

-- 
             ,   
Janusz S. Bien
emeryt (emeritus)
https://sites.google.com/view/jsbien